Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.loading
Interface UnifiedLoaderRepository3MBean

All Superinterfaces:
  UnifiedLoaderRepositoryMBean

All Known Implementing Classes:
  UnifiedLoaderRepository3

public interface UnifiedLoaderRepository3MBean
extends UnifiedLoaderRepositoryMBean

The UnifiedLoaderRepository3 (ULR) management interface

Version:
  $Revision: 1.6 $
Author:
  Scott.Stark@jboss.org

Method Summary
`String` | `displayClassInfo(String className)` A utility method that iterates over all repository class loader and display the class information for every UCL that contains the given className
`void` | `flush()` Flush the ULR classes cache
`int` | `getCacheSize()` Get the number of classes loaded into the ULR cache.
`int` | `getClassLoadersSize()` Get the number of UnifiedClassLoader3s (UCLs) in the ULR
`Set` | `getPackageClassLoaders(String className)` Called by LoadMgr to obtain all class loaders for the given className

Methods inherited from interface org.jboss.mx.loading.UnifiedLoaderRepositoryMBean
`getInstance, getTranslator, getURLs, getWrappingClassLoader, newClassLoader, newClassLoader, registerClassLoader, removeClassLoader, setTranslator`

Method Detail

### getPackageClassLoaders

    public Set getPackageClassLoaders(String className)

  Called by LoadMgr to obtain all class loaders for the given className

  Returns:
    LinkedList, may be null

### displayClassInfo

    public String displayClassInfo(String className)

  A utility method that iterates over all repository class loader and display the class information for every UCL that contains the given className

### getCacheSize

    public int getCacheSize()

  Get the number of classes loaded into the ULR cache.

  Returns:
    the classes cache size.

### getClassLoadersSize

    public int getClassLoadersSize()

  Get the number of UnifiedClassLoader3s (UCLs) in the ULR

  Returns:
    the number of UCLs in the ULR

### flush

    public void flush()

  Flush the ULR classes cache

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.